Summary: Access control list utilities.
Name: acl
Version: 2.2.22
Release: 2.1AX
BuildRoot: %{_builddir}/%{name}-root
Source: acl-2.2.22.src.tar.gz
Patch0:acl-2.2.22-mode.patch
License: GPL
Group: System Environment/Base
URL: http://acl.bestbits.at/

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n libacl
Summary: Dynamic library for access control list support.
Group: Development/Libraries
Prereq: /sbin/ldconfig

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n libacl-devel
Summary: Access control list static libraries and headers.
Group: Development/Libraries
Requires: libacl
Provides: acl-devel
Obsoletes: acl-devel

%description -n libacl-devel
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
%patch0 -p1 
/usr/bin/make configure
fi

%build
%configure --libdir=/%{_lib} --libexecdir=%{_libdir}
/usr/bin/make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
/usr/bin/make -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libacl -p /sbin/ldconfig

%postun -n libacl -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files -n libacl-devel -f build/rpm/rpmfiles-dev

%files -n libacl -f build/rpm/rpmfiles-lib

%changelog
* Mon Oct 18 2004 Hua Jie <jiehua@redflag-linux.com> 2.2.22-2.1AX
- use %{_lib} as libdir and %{_libdir} as libexecdir

* Mon Apr 12 2004 Xin Zhang <xin.zhang@oracle.com> 2.2.22-2AX
- Change BuildRoot and modify installed files permission.
